/ / ZXing.Net.Mobile Update Absturz auf Android - Xamarin, Xamarin.android, Zxing

ZXing.Net.Mobile Update Absturz auf Android - Xamarin, Xamarin.android, Zxing

Ich brauche Hilfe mit ZXing.Net.Mobile Komponente (Barcode-Scan-Bibliothek).

Die neuesten Versionen erzeugen einen Laufzeitfehler für Galaxy Ace 2 (API 10) Gerät, nicht nur in meiner Anwendung, sondern auch in dem in der Bibliothek enthaltenen Beispiel.

Ich würde gerne wissen, ob dies ein Fehler oder nur API-Beschränkung ist.

Getestete Version: 2.0.4.17. Sie können Probe probieren.

Vielen Dank.

Antworten:

1 für die Antwort № 1

Dies war eine API-Beschränkung. Wie Sie hier sehen können Verknüpfung Die Version des ZXing-Scanners war mit einigen Geräten nicht kompatibel.

Glücklicherweise hat sein Schöpfer es gelöst und er hat eine neue Version veröffentlicht, die mit Android 2.3 kompatibel ist.